scala.tools.nsc.ast.parser

# Tokens

###
Related Doc: package parser

#### object Tokens extends CommonTokens

Source
  Tokens.scala

Linear Supertypes
CommonTokens, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Tokens
2. CommonTokens
3. AnyRef
4. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final val ABSTRACT: Int(46)

   Definition Classes
     CommonTokens

5. #### final val ARROW: Int(132)

6. #### final val AT: Int(125)

   Definition Classes
     CommonTokens

7. #### final val BACKQUOTED_IDENT: Int(11)

8. #### final val CASE: Int(96)

   Definition Classes
     CommonTokens

9. #### final val CASECLASS: Int(63)

   templates

10. #### final val CASEOBJECT: Int(65)

11. #### final val CATCH: Int(92)

    Definition Classes
      CommonTokens

12. #### final val CHARLIT: Int(1)

    literals

    literals

    Definition Classes
      CommonTokens

13. #### final val CLASS: Int(62)

    Definition Classes
      CommonTokens

14. #### final val COLON: Int(123)

    Definition Classes
      CommonTokens

15. #### final val COMMA: Int(120)

    special symbols

    special symbols

    Definition Classes
      CommonTokens

16. #### final val COMMENT: Int(200)

    for IDE only

17. #### final val DEF: Int(72)

18. #### final val DO: Int(84)

    Definition Classes
      CommonTokens

19. #### final val DOT: Int(122)

    Definition Classes
      CommonTokens

20. #### final val DOUBLELIT: Int(5)

    Definition Classes
      CommonTokens

21. #### final val ELSE: Int(82)

    Definition Classes
      CommonTokens

22. #### final val EMPTY: Int(-3)

    special tokens

    special tokens

    Definition Classes
      CommonTokens

23. #### final val EOF: Int(0)

    Definition Classes
      CommonTokens

24. #### final val EQUALS: Int(124)

    Definition Classes
      CommonTokens

25. #### final val ERROR: Int(-1)

    Definition Classes
      CommonTokens

26. #### final val ESCAPE: Int(203)

27. #### final val EXTENDS: Int(68)

    Definition Classes
      CommonTokens

28. #### final val FALSE: Int(26)

    Definition Classes
      CommonTokens

29. #### final val FINAL: Int(49)

    Definition Classes
      CommonTokens

30. #### final val FINALLY: Int(93)

    Definition Classes
      CommonTokens

31. #### final val FLOATLIT: Int(4)

    Definition Classes
      CommonTokens

32. #### final val FOR: Int(85)

    Definition Classes
      CommonTokens

33. #### final val FORSOME: Int(71)

34. #### final val HASH: Int(130)

    special symbols

35. #### final val IDENTIFIER: Int(10)

    identifiers

36. #### final val IF: Int(80)

    control structures

    control structures

    Definition Classes
      CommonTokens

37. #### final val IGNORE: Int(202)

38. #### final val IMPLICIT: Int(40)

    modifiers

39. #### final val IMPORT: Int(61)

    Definition Classes
      CommonTokens

40. #### final val INTERPOLATIONID: Int(9)

41. #### final val INTLIT: Int(2)

    Definition Classes
      CommonTokens

42. #### final val LARROW: Int(133)

43. #### final val LAZY: Int(55)

44. #### final val LBRACE: Int(104)

    Definition Classes
      CommonTokens

45. #### final val LBRACKET: Int(102)

    Definition Classes
      CommonTokens

46. #### final val LONGLIT: Int(3)

    Definition Classes
      CommonTokens

47. #### final val LPAREN: Int(100)

    parenthesis

    parenthesis

    Definition Classes
      CommonTokens

48. #### final val MACRO: Int(57)

49. #### final val MATCH: Int(95)

50. #### final val NEW: Int(20)

    keywords

    keywords

    Definition Classes
      CommonTokens

51. #### final val NEWLINE: Int(137)

52. #### final val NEWLINES: Int(138)

53. #### final val NULL: Int(24)

    Definition Classes
      CommonTokens

54. #### final val OBJECT: Int(64)

55. #### final val OVERRIDE: Int(41)

56. #### final val PACKAGE: Int(60)

    templates

    templates

    Definition Classes
      CommonTokens

57. #### final val PRIVATE: Int(44)

    Definition Classes
      CommonTokens

58. #### final val PROTECTED: Int(43)

    modifiers

    modifiers

    Definition Classes
      CommonTokens

59. #### final val RBRACE: Int(105)

    Definition Classes
      CommonTokens

60. #### final val RBRACKET: Int(103)

    Definition Classes
      CommonTokens

61. #### final val RETURN: Int(97)

    Definition Classes
      CommonTokens

62. #### final val RPAREN: Int(101)

    Definition Classes
      CommonTokens

63. #### final val SEALED: Int(45)

64. #### final val SEMI: Int(121)

    Definition Classes
      CommonTokens

65. #### final val STRINGLIT: Int(6)

    Definition Classes
      CommonTokens

66. #### final val STRINGPART: Int(7)

67. #### final val SUBTYPE: Int(134)

68. #### final val SUPER: Int(23)

    Definition Classes
      CommonTokens

69. #### final val SUPERTYPE: Int(135)

70. #### final val SYMBOLLIT: Int(8)

71. #### final val THEN: Int(81)

    control structures

72. #### final val THIS: Int(21)

    Definition Classes
      CommonTokens

73. #### final val THROW: Int(90)

    Definition Classes
      CommonTokens

74. #### final val TRAIT: Int(66)

75. #### final val TRUE: Int(25)

    Definition Classes
      CommonTokens

76. #### final val TRY: Int(91)

    Definition Classes
      CommonTokens

77. #### final val TYPE: Int(70)

78. #### final val UNDEF: Int(-2)

    Definition Classes
      CommonTokens

79. #### final val USCORE: Int(131)

80. #### final val VAL: Int(73)

81. #### final val VAR: Int(74)

82. #### final val VIEWBOUND: Int(136)

83. #### final val WHILE: Int(83)

    Definition Classes
      CommonTokens

84. #### final val WHITESPACE: Int(201)

85. #### final val WITH: Int(69)

86. #### final val XMLSTART: Int(139)

87. #### final val YIELD: Int(86)

88. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

89. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

90. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

91. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

92. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

93. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

94. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

95. #### def isIdentifier(code: Int): Boolean

    Definition Classes
      Tokens → CommonTokens

96. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

97. #### def isLiteral(code: Int): Boolean

    Definition Classes
      Tokens → CommonTokens

98. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

99. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

100. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

101. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

102. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       AnyRef → Any

103. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

104. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

105. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

### Inherited from CommonTokens

### Inherited from AnyRef

### Inherited from Any

### Ungrouped